using LOoSE_sLOTS.Scenes;
using LOoSE_sLOTS.Utilities;
using Otter;

namespace LOoSE_sLOTS
{
    class Program
    {
        static void Main(string[] args)
        {
            Global.GAME = new Game("LOoSE sLOTS", 720, 480);
            Global.GAME.MouseVisible = true;//no mouse?
            Global.GAME.SetWindow(1440, 960);
            Global.GAME.WindowX = 420;
            Global.GAME.WindowY = 10;

            var app = Global.PlayerSession = Global.GAME.AddSession("Player");
            app.Controller.AddButton("Start");
            app.Controller.Button("Start").AddKey(Key.Return);
            app.Controller.AddButton("W");
            app.Controller.Button("W").AddKey(Key.W);
            app.Controller.AddButton("A");
            app.Controller.Button("A").AddKey(Key.A);
            app.Controller.AddButton("S");
            app.Controller.Button("S").AddKey(Key.S);
            app.Controller.AddButton("D");
            app.Controller.Button("D").AddKey(Key.D);
            app.Controller.AddButton("M");
            app.Controller.Button("M").AddKey(Key.M);
            app.Controller.AddButton("R");
            app.Controller.Button("R").AddKey(Key.R);
            app.Controller.AddButton("E");
            app.Controller.Button("E").AddKey(Key.E);
            app.Controller.AddButton("Space");
            app.Controller.Button("Space").AddKey(Key.Space);
            app.Controller.AddButton("J");
            app.Controller.Button("J").AddKey(Key.J);
            app.Controller.AddButton("X");
            app.Controller.Button("X").AddKey(Key.X);
            app.Controller.AddButton("LeftMouseClick");
            app.Controller.Button("LeftMouseClick").AddMouseButton(MouseButton.Left);
            app.Controller.AddButton("RightMouseClick");
            app.Controller.Button("RightMouseClick").AddMouseButton(MouseButton.Right);

            new SoundManager();

            Global.GAME.FirstScene = new TitleScreen();//use this for the actual start of the game.
            //Global.GAME.FirstScene = new Casino();//testing the main area
            Global.GAME.Start();
        }
    }
}
